Discussions specific to the VMware vSphere hypervisor
Post Reply
Dmont
Influencer
Posts: 18
Liked: 1 time
Joined: Mar 06, 2013 1:53 pm
Full Name: David
Contact:

Urgent - Backup Console version is not compatible Installer Service

Post by Dmont »

I've created a new Veeam Servers and added the old one into the Backup Infrastructure "managed servers".
This process unfortunately updated components on the old one. Now backups are failing on the old Veeam Server.

How can I downgrade the component version to before the update ?
Is is simply a case of re-installing Veeam on the old server ? will it keep all the settings ?

Thanks

foggy
Veeam Software
Posts: 19185
Liked: 1717 times
Joined: Jul 11, 2011 10:22 am
Full Name: Alexander Fogelson
Contact:

Re: Backup Console version is not compatible Installer Service

Post by foggy » 1 person likes this post

Hi David, wouldn't it be easier to upgrade the older installation instead? Otherwise, you can remove the server from the new installation, remove Veeam components from it and rescan from the old installation. In future please keep in mind that if you share a server between different Veeam B&R installations (not the best practice though), make sure they are running at a similar patch level.

Dmont
Influencer
Posts: 18
Liked: 1 time
Joined: Mar 06, 2013 1:53 pm
Full Name: David
Contact:

Re: Urgent - Backup Console version is not compatible Installer Service

Post by Dmont »

Thanks for the quick reply foggy !

Unfortunately, due to the "shared service" we have with backups, I can't upgrade the old veeam server.... i would prefer to do that.
How can I remove Veeam Components on the old server ? rescan is easy enough

foggy
Veeam Software
Posts: 19185
Liked: 1717 times
Joined: Jul 11, 2011 10:22 am
Full Name: Alexander Fogelson
Contact:

Re: Urgent - Backup Console version is not compatible Installer Service

Post by foggy » 1 person likes this post

Just use the regular Add/Remove Programs (or whatever it is called in your particular OS version) functionality and remove everything Veeam related. If it is a remote console server, then install it using the way you originally did it (using an ISO image/setup wizard).

Dmont
Influencer
Posts: 18
Liked: 1 time
Joined: Mar 06, 2013 1:53 pm
Full Name: David
Contact:

Re: Urgent - Backup Console version is not compatible Installer Service

Post by Dmont »

Edit - I've removed it from the new install. Rescan on the old one flags up an RPC unavailable error.
Should I remove it from the old "Managed Servers" and then add it in again ?

Just read your reply - Thanks I'll do that

Dmont
Influencer
Posts: 18
Liked: 1 time
Joined: Mar 06, 2013 1:53 pm
Full Name: David
Contact:

Re: Urgent - Backup Console version is not compatible Installer Service

Post by Dmont » 1 person likes this post

All sorted.
In the end, I upgraded the old Veeam Server.
Thanks for the support foggy

Post Reply

Who is online

Users browsing this forum: No registered users and 40 guests